//zfE/1cqIDlGLdS4O9cAVVd7wenIICv9j/hT5/gIc1iTVX70aNxexrwxRLeWrB51d
package nc.vo.ic.m45.entity;

import nc.vo.ic.general.define.EntityNameConst;
import nc.vo.ic.general.define.ICBillBodyVO;
import nc.vo.ic.general.define.ICCanMatchBody;
import nc.vo.ic.general.define.MetaNameConst;
import nc.vo.ic.pub.define.ICPubMetaNameConst;
import nc.vo.pub.IVOMeta;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDouble;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;
import nc.vo.scmpub.res.billtype.ICBillType;

/**
 * @author liujq 2010-1-25 下午07:00:55
 */
public class PurchaseInBodyVO extends ICBillBodyVO implements ICCanMatchBody {

	// 可开票数量
	public static final String NINVOICENUM = "ninvoicenum";

	// 结算价格，传设备卡片时需要
	public static final String NSETTLEPRICE = "nsettleprice";

	// 结算无税价格，传设备卡片时需要
	public static final String NSETTLEPRICENOTAX = "nsettlepricenotax";

	// 借入转采购
	public static final String BORROWINFLAG = "borrowinflag";

	// 上游赠品行
	public static final String BSOURCELARGESS = "bsourcelargess";

	// 来源到货单质检明细ID
	public static final String CARRIVEORDER_BBID = "carriveorder_bbid";

	// 出口明细拣配id
	public static final String CETDETLPICKBID = "cetdetlpickbid";

	// 质检状态
	public static final String CCHECKSTATEID = "ccheckstateid";

	// 本位币
	public static final String CCURRENCYID = "ccurrencyid";

	// 源头采购单据到货计划
	public static final String CORDER_BB1ID = "corder_bb1id";

	// 币种
	public static final String CORIGCURRENCYID = "corigcurrencyid";

	// 报价单位
	public static final String CQTUNITID = "cqtunitid";

	// 需求库存组织
	public static final String CREQSTOORGOID = "creqstoorgoid";

	// 需求库存组织版本
	public static final String CREQSTOORGVID = "creqstoorgvid";

	// 来源单据物料OID
	public static final String CSOURCEMATERIALOID = "csourcematerialoid";

	// 源头单据日期
	// public static final String DFIRSTBILLDATE = "dfirstbilldate";

	// 配套标志
	public static final String FBILLROWFLAG = "fbillrowflag";

	// 待检标志
	public static final String FCHECKED = "fchecked";

	// 扣税类别
	// public static final String FDISCOUNTTAXTYPE = "fdiscounttaxtype";

	// 赠品
	public static final String FLARGESS = "flargess";

	// 累计结算数量 （价格结算单的累积结算数量）
	public static final String NACCUMSETTLENUM = "naccumsettlenum";

	// 累计转调拨数量
	public static final String NACCUMTONUM = "naccumtonum";

	// 累计汇总匹配主数量
	public static final String NACCUMVMINUM = "naccumvminum";

	// 累计待转库主数量
	public static final String NTOTALTRANSNUM = "ntotaltransnum";

	// 累计转口主数量(转口合同)
	public static final String NTOTALTRANSPORTNUM = "ntotaltransportnum";

	// 累计拣配主数量
	public static final String NPICKUPNUM = "npickupnum";

	// 全局本位币
	public static final String CGLOBALCURRENCYID = "cglobalcurrencyid";

	// 集团本位币
	public static final String CGROUPCURRENCYID = "cgroupcurrencyid";

	/**
	 * 可补货主数量
	 */
	public static final String NCANREPLNUM = "ncanreplnum";

	// 折本汇率
	public static final String NCHANGESTDRATE = "nchangestdrate";

	// 全局本位币汇率
	public static final String NGLOBALEXCHGRATE = "nglobalexchgrate";

	// 全局本币无税金额
	public static final String NGLOBALMNY = "nglobalmny";

	// 全局本币价税合计
	public static final String NGLOBALTAXMNY = "nglobaltaxmny";

	// 集团本位币汇率
	public static final String NGROUPEXCHGRATE = "ngroupexchgrate";

	// 集团本币无税金额
	public static final String NGROUPMNY = "ngroupmny";

	// 集团本币价税合计
	public static final String NGROUPTAXMNY = "ngrouptaxmny";

	// 折扣
	public static final String NITEMDISCOUNTRATE = "nitemdiscountrate";

	// 扣吨数量
	public static final String NKDNUM = "nkdnum";

	// 本币无税金额
	public static final String NMNY = "nmny";

	// 主本币无税净价
	public static final String NNETPRICE = "nnetprice";

	// 无税金额
	public static final String NORIGMNY = "norigmny";

	// 主无税净价
	public static final String NORIGNETPRICE = "norignetprice";

	// 主无税单价
	public static final String NORIGPRICE = "norigprice";

	// 价税合计
	public static final String NORIGTAXMNY = "norigtaxmny";

	// 主含税净价
	public static final String NORIGTAXNETPRICE = "norigtaxnetprice";

	// 主含税单价
	public static final String NORIGTAXPRICE = "norigtaxprice";

	// 主本币无税单价
	public static final String NPRICE = "nprice";

	// 本币无税净价
	public static final String NQTNETPRICE = "nqtnetprice";

	// 无税净价
	public static final String NQTORIGNETPRICE = "nqtorignetprice";

	// 无税单价
	public static final String NQTORIGPRICE = "nqtorigprice";

	// 含税净价
	public static final String NQTORIGTAXNETPRICE = "nqtorigtaxnetprice";

	// 含税单价
	public static final String NQTORIGTAXPRICE = "nqtorigtaxprice";

	// 本币无税单价
	public static final String NQTPRICE = "nqtprice";

	// 本币含税净价
	public static final String NQTTAXNETPRICE = "nqttaxnetprice";

	// 本币含税单价
	public static final String NQTTAXPRICE = "nqttaxprice";

	// 报价数量
	public static final String NQTUNITNUM = "nqtunitnum";

	// 累计退库（补货）数量
	public static final String NREPLENISHEDASTNUM = "nreplenishedastnum";

	// 累计退库（补货）主数量
	public static final String NREPLENISHEDNUM = "nreplenishednum";

	// 累计开票主数量
	public static final String NSIGNNUM = "nsignnum";

	// 本币税额
	public static final String NTAX = "ntax";

	// 本币价税合计
	public static final String NTAXMNY = "ntaxmny";

	// 主本币含税净价
	public static final String NTAXNETPRICE = "ntaxnetprice";

	// 主本币含税单价
	public static final String NTAXPRICE = "ntaxprice";

	// 税率
	public static final String NTAXRATE = "ntaxrate";

	// 新增利润中心最新版本
	public static final String CIOLIABILITYOID = "cioliabilityoid";

	// 新增利润中心
	public static final String CIOLIABILITYVID = "cioliabilityvid";

	// 需求仓库
	public static final String PK_CREQWAREID = "pk_creqwareid";

	// 报价单位换算率
	public static final String VQTUNITRATE = "vqtunitrate";

	// 退库理由
	public static final String VRETURNREASON = "vreturnreason";

	/**
	 * 结算币种，计算属性，传设备卡片用
	 */
	public static final String CSETTLECURRENCYID = "csettlecurrencyid";

	// 结算财务组织
	public static final String CFANACEORGOID = "cfanaceorgoid";

	// 进口明细单号
	public static final String VDETAILBILLCODE = "vdetailbillcode";

	// 进口明细单行号
	public static final String CDETAILROWNO = "cdetailrowno";

	// 进口合同号
	public static final String VITCONTRACTBILLCODE = "vitcontractbillcode";

	// 进口明细单主键
	public static final String CDETAILID = "cdetailid";

	// 进口明细单行主键
	public static final String CDETAILBID = "cdetailbid";

	// 可开票金额
	public static final String NINVOICEMNY = "ninvoicemny";

	// 对账
	public static final String BCOMPARE = "bcompare";
	
	//add by 周蓝萍   增加自定义字段21-60  2020-10-16  周蓝萍 begin
	 /** 自定义项21 **/
	  public static final String VBDEF21 = "vbdef21";

	  /** 自定义项22 **/
	  public static final String VBDEF22 = "vbdef22";

	  /** 自定义项23 **/
	  public static final String VBDEF23 = "vbdef23";

	  /** 自定义项24 **/
	  public static final String VBDEF24 = "vbdef24";

	  /** 自定义项25 **/
	  public static final String VBDEF25 = "vbdef25";

	  /** 自定义项26 **/
	  public static final String VBDEF26 = "vbdef26";

	  /** 自定义项27**/
	  public static final String VBDEF27 = "vbdef27";

	  /** 自定义项28 **/
	  public static final String VBDEF28 = "vbdef28";

	  /** 自定义项29 **/
	  public static final String VBDEF29 = "vbdef29";

	  /** 自定义项30 **/
	  public static final String VBDEF30 = "vbdef30";

	  /** 自定义项31 **/
	  public static final String VBDEF31 = "vbdef31";

	  /** 自定义项32 **/
	  public static final String VBDEF32 = "vbdef32";

	  /** 自定义项33 **/
	  public static final String VBDEF33 = "vbdef33";

	  /** 自定义项34 **/
	  public static final String VBDEF34 = "vbdef34";

	  /** 自定义项35 **/
	  public static final String VBDEF35 = "vbdef35";

	  /** 自定义项36 **/
	  public static final String VBDEF36 = "vbdef36";

	  /** 自定义项37 **/
	  public static final String VBDEF37 = "vbdef37";

	  /** 自定义项38 **/
	  public static final String VBDEF38 = "vbdef38";

	  /** 自定义项39 **/
	  public static final String VBDEF39 = "vbdef39";

	  /** 自定义项40 **/
	  public static final String VBDEF40 = "vbdef40";
	  
	  public static final String VBDEF41 = "vbdef41";
	  public static final String VBDEF42 = "vbdef42";
	  public static final String VBDEF43 = "vbdef43";
	  public static final String VBDEF44 = "vbdef44";
	  public static final String VBDEF45 = "vbdef45";
	  public static final String VBDEF46 = "vbdef46";
	  public static final String VBDEF47 = "vbdef47";
	  public static final String VBDEF48 = "vbdef48";
	  public static final String VBDEF49 = "vbdef49";
	  public static final String VBDEF50 = "vbdef50";
	  public static final String VBDEF51 = "vbdef51";
	  public static final String VBDEF52 = "vbdef52";
	  public static final String VBDEF53 = "vbdef53";
	  public static final String VBDEF54 = "vbdef54";
	  public static final String VBDEF55 = "vbdef55";
	  public static final String VBDEF56 = "vbdef56";
	  public static final String VBDEF57 = "vbdef57";
	  public static final String VBDEF58 = "vbdef58";
	  public static final String VBDEF59 = "vbdef59";
	  public static final String VBDEF60 = "vbdef60";
	  
	  public  String getVbdef21() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF21);
		}

		public  void setVbdef21(String vBDEF21) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF21, vBDEF21);
		}

		public  String getVbdef22() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF22);
		}

		public  void setVbdef22(String vBDEF22) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF22, vBDEF22);
		}

		public  String getVbdef23() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF23);
		}

		public  void setVbdef23(String vBDEF23) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF23, vBDEF23);
		}

		public  String getVbdef24() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF24);
		}

		public  void setVbdef24(String vBDEF24) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF24, vBDEF24);
		}

		public  String getVbdef25() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF25);
		}

		public  void setVbdef25(String vBDEF25) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF25, vBDEF25);
		}

		public  String getVbdef26() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF26);
		}

		public  void setVbdef26(String vBDEF26) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF26, vBDEF26);
		}

		public  String getVbdef27() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF27);
		}

		public  void setVbdef27(String vBDEF27) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF27, vBDEF27);
		}

		public  String getVbdef28() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF28);
		}

		public  void setVbdef28(String vBDEF28) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF28, vBDEF28);
		}

		public  String getVbdef29() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF29);
		}

		public  void setVbdef29(String vBDEF29) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF29, vBDEF29);
		}

		public  String getVbdef30() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF30);
		}

		public  void setVbdef30(String vBDEF30) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF30, vBDEF30);
		}

		public  String getVbdef31() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF31);
		}

		public  void setVbdef31(String vBDEF31) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF31, vBDEF31);
		}

		public  String getVbdef32() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF32);
		}

		public  void setVbdef32(String vBDEF32) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF32, vBDEF32);
		}

		public  String getVbdef33() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF33);
		}

		public  void setVbdef33(String vBDEF33) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF33, vBDEF33);
		}

		public  String getVbdef34() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF34);
		}

		public  void setVbdef34(String vBDEF34) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF34, vBDEF34);
		}

		public  String getVbdef35() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF35);
		}

		public  void setVbdef35(String vBDEF35) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF35, vBDEF35);
		}

		public  String getVbdef36() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF36);
		}

		public  void setVbdef36(String vBDEF36) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF36, vBDEF36);
		}

		public  String getVbdef37() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF37);
		}

		public  void setVbdef37(String vBDEF37) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF37, vBDEF37);
		}

		public  String getVbdef38() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF38);
		}

		public  void setVbdef38(String vBDEF38) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF38, vBDEF38);
		}

		public  String getVbdef39() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF39);
		}

		public  void setVbdef39(String vBDEF39) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF39, vBDEF39);
		}

		public  String getVbdef40() {
			return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF40);
		}

		public  void setVbdef40(String vBDEF40) {
			this.setAttributeValue(PurchaseInBodyVO.VBDEF40, vBDEF40);
		}
		
		public String getVbdef41() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF41);
		  }
		public String getVbdef42() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF42);
		  }
		public String getVbdef43() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF43);
		  }
		public String getVbdef44() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF44);
		  }
		public String getVbdef45() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF45);
		  }
		public String getVbdef46() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF46);
		  }
		public String getVbdef47() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF47);
		  }
		public String getVbdef48() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF48);
		  }
		public String getVbdef49() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF49);
		  }
		public String getVbdef50() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF50);
		  }
		public String getVbdef51() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF51);
		  }
		public String getVbdef52() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF52);
		  }
		public String getVbdef53() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF53);
		  }
		public String getVbdef54() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF54);
		  }
		public String getVbdef55() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF55);
		  }
		public String getVbdef56() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF56);
		  }
		public String getVbdef57() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF57);
		  }
		public String getVbdef58() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF58);
		  }
		public String getVbdef59() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF59);
		  }
		public String getVbdef60() {
		    return (String) this.getAttributeValue(PurchaseInBodyVO.VBDEF60);
		  }
		// set方法还没做
		public void setVbdef41(String vbdef41) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF41, vbdef41);
		  }

		public void setVbdef42(String vbdef42) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF42, vbdef42);
		  }

		public void setVbdef43(String vbdef43) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF43, vbdef43);
		  }

		public void setVbdef44(String vbdef44) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF44, vbdef44);
		  }

		public void setVbdef45(String vbdef45) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF45, vbdef45);
		  }

		public void setVbdef46(String vbdef46) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF46, vbdef46);
		  }

		public void setVbdef47(String vbdef47) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF47, vbdef47);
		  }

		public void setVdef48(String vdef48) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF48, vdef48);
		  }

		public void setVbdef49(String vbdef49) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF49, vbdef49);
		  }

		public void setVbdef50(String vbdef50) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF50, vbdef50);
		  }

		public void setVbdef51(String vbdef51) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF51, vbdef51);
		  }

		public void setVbdef52(String vbdef52) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF52, vbdef52);
		  }

		public void setVbdef53(String vbdef53) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF53, vbdef53);
		  }

		public void setVbdef54(String vbdef54) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF54, vbdef54);
		  }

		public void setVbdef55(String vbdef55) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF55, vbdef55);
		  }

		public void setVbdef56(String vbdef56) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF56, vbdef56);
		  }

		public void setVbdef57(String vbdef57) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF57, vbdef57);
		  }

		public void setVbdef58(String vbdef58) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF58, vbdef58);
		  }

		public void setVdef59(String vbdef59) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF59, vbdef59);
		  }

		public void setVbdef60(String vbdef60) {
		    this.setAttributeValue(PurchaseInBodyVO.VBDEF60, vbdef60);
		  }
	//add by 周蓝萍   增加自定义字段21-60  2020-10-16  周蓝萍 end

	public UFDouble getNinvoicemny() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NINVOICEMNY);
	}

	/**
	 * 进口明细单主键
	 */
	public void setCdetailid(String cdetailid) {
		this.setAttributeValue(PurchaseInBodyVO.CDETAILID, cdetailid);
	}

	/**
	 * 进口明细单行主键
	 */
	public void setCdetailbid(String cdetailbid) {
		this.setAttributeValue(PurchaseInBodyVO.CDETAILBID, cdetailbid);
	}

	/**
	 * 进口明细单号
	 */
	public void setVdetailbillcode(String vdetailbillcode) {
		this.setAttributeValue(PurchaseInBodyVO.VDETAILBILLCODE,
				vdetailbillcode);
	}

	/**
	 * 进口明细单号
	 */
	public void setVitcontractbillcode(String vitcontractbillcode) {
		this.setAttributeValue(PurchaseInBodyVO.VITCONTRACTBILLCODE,
				vitcontractbillcode);
	}

	/**
	 * 进口明细单行号
	 */
	public void setCdetailrowno(String cdetailrowno) {
		this.setAttributeValue(PurchaseInBodyVO.CDETAILROWNO, cdetailrowno);
	}

	/**
	 * 进口明细单主键
	 */
	public String getCdetailid() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CDETAILID);
	}

	/**
	 * 进口明细单行主键
	 */
	public String getCdetailbid() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CDETAILBID);
	}

	/**
	 * 进口明细单号
	 */
	public String getVdetailbillcode() {
		return (String) this
				.getAttributeValue(PurchaseInBodyVO.VDETAILBILLCODE);
	}

	/**
	 * 进口合同号
	 */
	public String getVitcontractbillcode() {
		return (String) this
				.getAttributeValue(PurchaseInBodyVO.VITCONTRACTBILLCODE);
	}

	/**
	 * 进口明细单行号
	 */
	public String getCdetailrowno() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CDETAILROWNO);
	}

	/**
	 * serialVersionUID
	 */
	private static final long serialVersionUID = 1L;

	public UFBoolean getBassetcard() {
		return (UFBoolean) this
				.getAttributeValue(ICPubMetaNameConst.BASSETCARD);
	}

	/**
	 * @return 采购入库单据类型
	 */
	@Override
	public ICBillType getBillType() {
		return ICBillType.PurchaseIn;
	}

	public UFBoolean getBorrowinflag() {
		return (UFBoolean) this
				.getAttributeValue(PurchaseInBodyVO.BORROWINFLAG);
	}

	public UFBoolean getBsourcelargess() {
		return (UFBoolean) this
				.getAttributeValue(PurchaseInBodyVO.BSOURCELARGESS);
	}

	public String getCarriveorder_bbid() {
		return (String) this
				.getAttributeValue(PurchaseInBodyVO.CARRIVEORDER_BBID);
	}

	public String getCetdetlpickbid() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CETDETLPICKBID);
	}

	public String getCcheckstateid() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CCHECKSTATEID);
	}

	public String getCcurrencyid() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CCURRENCYID);
	}

	public String getCorder_bb1id() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CORDER_BB1ID);
	}

	public String getCorigcurrencyid() {
		return (String) this
				.getAttributeValue(PurchaseInBodyVO.CORIGCURRENCYID);
	}

	public String getCqtunitid() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CQTUNITID);
	}

	public String getCreqstoorgoid() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CREQSTOORGOID);
	}

	public String getCreqstoorgvid() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CREQSTOORGVID);
	}

	/**
	 * 来源单据物料OID
	 * 
	 * @return
	 */
	public String getCsourcematerialoid() {
		return (String) this
				.getAttributeValue(PurchaseInBodyVO.CSOURCEMATERIALOID);
	}

	// 源头单据日期
	// public UFDate getDfirstbilldate() {
	// return (UFDate) this.getAttributeValue(PurchaseInBodyVO.DFIRSTBILLDATE);
	// }

	public Integer getFbillrowflag() {
		return (Integer) this.getAttributeValue(PurchaseInBodyVO.FBILLROWFLAG);
	}

	public Integer getFchecked() {
		return (Integer) this.getAttributeValue(PurchaseInBodyVO.FCHECKED);
	}

	// public Integer getFdiscounttaxtype() {
	// return (Integer)
	// this.getAttributeValue(PurchaseInBodyVO.FDISCOUNTTAXTYPE);
	// }

	public UFBoolean getFlargess() {
		return (UFBoolean) this.getAttributeValue(MetaNameConst.FLARGESS);
	}

	@Override
	public IVOMeta getMetaData() {
		IVOMeta meta = VOMetaFactory.getInstance().getVOMeta(
				EntityNameConst.PurchaseInBody);
		return meta;
	}

	// 累计结算数量
	public UFDouble getNaccumsettlenum() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NACCUMSETTLENUM);
	}

	public UFDouble getNaccumtonum() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NACCUMTONUM);
	}

	/**
	 * 累计汇总匹配主数量
	 */
	public UFDouble getNaccumvminum() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NACCUMVMINUM);
	}

	/**
	 * 累计待转库主数量
	 */
	public UFDouble getNtotaltransnum() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NTOTALTRANSNUM);
	}

	/**
	 * 累计转口主数量
	 */
	public UFDouble getNtotaltransportnum() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NTOTALTRANSPORTNUM);
	}

	/**
	 * 累计拣配主数量
	 */
	public UFDouble getNpickupnum() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NPICKUPNUM);
	}

	/** 可补货主数量 **/
	public UFDouble getNcanreplnum() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NCANREPLNUM);
	}

	public UFDouble getNchangestdrate() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NCHANGESTDRATE);
	}

	public UFDouble getNglobalexchgrate() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NGLOBALEXCHGRATE);
	}

	public UFDouble getNglobalmny() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NGLOBALMNY);
	}

	public UFDouble getNglobaltaxmny() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NGLOBALTAXMNY);
	}

	public UFDouble getNgroupexchgrate() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NGROUPEXCHGRATE);
	}

	public UFDouble getNgroupmny() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NGROUPMNY);
	}

	public UFDouble getNgrouptaxmny() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NGROUPTAXMNY);
	}

	public UFDouble getNitemdiscountrate() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NITEMDISCOUNTRATE);
	}

	public UFDouble getNkdnum() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NKDNUM);
	}

	public UFDouble getNmny() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NMNY);
	}

	public UFDouble getNnetprice() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NNETPRICE);
	}

	public UFDouble getNorigmny() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NORIGMNY);
	}

	public UFDouble getNorignetprice() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NORIGNETPRICE);
	}

	public UFDouble getNorigprice() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NORIGPRICE);
	}

	// public UFDouble getNorigtax() {
	// return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NORIGTAX);
	// }

	public UFDouble getNorigtaxmny() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NORIGTAXMNY);
	}

	public UFDouble getNorigtaxnetprice() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NORIGTAXNETPRICE);
	}

	public UFDouble getNorigtaxprice() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NORIGTAXPRICE);
	}

	public UFDouble getNprice() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NPRICE);
	}

	public UFDouble getNqtnetprice() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NQTNETPRICE);
	}

	public UFDouble getNqtorignetprice() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NQTORIGNETPRICE);
	}

	public UFDouble getNqtorigprice() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NQTORIGPRICE);
	}

	public UFDouble getNqtorigtaxnetprice() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NQTORIGTAXNETPRICE);
	}

	public UFDouble getNqtorigtaxprice() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NQTORIGTAXPRICE);
	}

	public UFDouble getNqtprice() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NQTPRICE);
	}

	public UFDouble getNqttaxnetprice() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NQTTAXNETPRICE);
	}

	public UFDouble getNqttaxprice() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NQTTAXPRICE);
	}

	public UFDouble getNqtunitnum() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NQTUNITNUM);
	}

	public UFDouble getNreplenishedastnum() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NREPLENISHEDASTNUM);
	}

	public UFDouble getNreplenishednum() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NREPLENISHEDNUM);
	}

	public UFDouble getNsignnum() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NSIGNNUM);
	}

	public UFDouble getNtax() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NTAX);
	}

	public UFDouble getNtaxmny() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NTAXMNY);
	}

	public UFDouble getNtaxnetprice() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NTAXNETPRICE);
	}

	public UFDouble getNtaxprice() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NTAXPRICE);
	}

	public UFDouble getNtaxrate() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NTAXRATE);
	}

	@Override
	public java.lang.String getParentPKFieldName() {
		return MetaNameConst.CGENERALHID;
	}

	public String getPk_creqwareid() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.PK_CREQWAREID);
	}

	@Override
	public java.lang.String getPKFieldName() {
		return MetaNameConst.CGENERALHID;
	}

	public String getVqtunitrate() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.VQTUNITRATE);
	}

	public String getVreturnreason() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.VRETURNREASON);
	}

	public String getCprojecttaskid() {
		return (String) this.getAttributeValue(MetaNameConst.CPROJECTTASKID);
	}

	public void setNinvoicemny(UFDouble ninvoicemny) {
		this.setAttributeValue(PurchaseInBodyVO.NINVOICEMNY, ninvoicemny);
	}

	public void setCprojecttaskid(String cprojecttaskid) {
		this.setAttributeValue(MetaNameConst.CPROJECTTASKID, cprojecttaskid);
	}

	public void setBassetcard(UFBoolean bassetcard) {
		this.setAttributeValue(ICPubMetaNameConst.BASSETCARD, bassetcard);
	}

	public void setBorrowinflag(UFBoolean borrowinflag) {
		this.setAttributeValue(PurchaseInBodyVO.BORROWINFLAG, borrowinflag);
	}

	public void setBsourcelargess(UFBoolean bsourcelargess) {
		this.setAttributeValue(PurchaseInBodyVO.BSOURCELARGESS, bsourcelargess);
	}

	public void setCarriveorder_bbid(String carriveorder_bbid) {
		this.setAttributeValue(PurchaseInBodyVO.CARRIVEORDER_BBID,
				carriveorder_bbid);
	}

	public void setCetdetlpickbid(String cetdetlpickbid) {
		this.setAttributeValue(PurchaseInBodyVO.CETDETLPICKBID, cetdetlpickbid);
	}

	public void setCcheckstateid(String ccheckstateid) {
		this.setAttributeValue(PurchaseInBodyVO.CCHECKSTATEID, ccheckstateid);
	}

	public void setCcurrencyid(String ccurrencyid) {
		this.setAttributeValue(PurchaseInBodyVO.CCURRENCYID, ccurrencyid);
	}

	public void setCorder_bb1id(String corder_bb1id) {
		this.setAttributeValue(PurchaseInBodyVO.CORDER_BB1ID, corder_bb1id);
	}

	public void setCorigcurrencyid(String corigcurrencyid) {
		this.setAttributeValue(PurchaseInBodyVO.CORIGCURRENCYID,
				corigcurrencyid);
	}

	public void setCqtunitid(String cqtunitid) {
		this.setAttributeValue(PurchaseInBodyVO.CQTUNITID, cqtunitid);
	}

	public void setCreqstoorgoid(String creqstoorgoid) {
		this.setAttributeValue(PurchaseInBodyVO.CREQSTOORGOID, creqstoorgoid);
	}

	public void setCreqstoorgvid(String creqstoorgvid) {
		this.setAttributeValue(PurchaseInBodyVO.CREQSTOORGVID, creqstoorgvid);
	}

	/**
	 * 来源单据物料OID
	 * 
	 * @param csourcematerialoid
	 */
	public void setCsourcematerialoid(String csourcematerialoid) {
		this.setAttributeValue(PurchaseInBodyVO.CSOURCEMATERIALOID,
				csourcematerialoid);
	}

	public void setFbillrowflag(Integer fbillrowflag) {
		this.setAttributeValue(PurchaseInBodyVO.FBILLROWFLAG, fbillrowflag);
	}

	public void setFchecked(Integer fchecked) {
		this.setAttributeValue(PurchaseInBodyVO.FCHECKED, fchecked);
	}

	public void setFlargess(UFBoolean flargess) {
		this.setAttributeValue(MetaNameConst.FLARGESS, flargess);
	}

	public void setNaccumsettlenum(UFDouble naccumsettlenum) {
		this.setAttributeValue(PurchaseInBodyVO.NACCUMSETTLENUM,
				naccumsettlenum);
	}

	public void setNaccumtonum(UFDouble naccumtonum) {
		this.setAttributeValue(PurchaseInBodyVO.NACCUMTONUM, naccumtonum);
	}

	/**
	 * 累计汇总匹配主数量
	 */
	public void setNaccumvminum(UFDouble naccumvminum) {
		this.setAttributeValue(PurchaseInBodyVO.NACCUMVMINUM, naccumvminum);
	}

	/**
	 * 累计待转库主数量
	 */
	public void setNtotaltransnum(UFDouble ntotaltransnum) {
		this.setAttributeValue(PurchaseInBodyVO.NTOTALTRANSNUM, ntotaltransnum);
	}

	/**
	 * 累计转口主数量
	 */
	public void setNtotaltransportnum(UFDouble ntotaltransportnum) {
		this.setAttributeValue(PurchaseInBodyVO.NTOTALTRANSPORTNUM,
				ntotaltransportnum);
	}

	/**
	 * 累计拣配主数量
	 */
	public void setNpickupnum(UFDouble npickupnum) {
		this.setAttributeValue(PurchaseInBodyVO.NPICKUPNUM, npickupnum);
	}

	/** 可补货主数量 **/
	public void setNcanreplnum(UFDouble ncanreplnum) {
		this.setAttributeValue(PurchaseInBodyVO.NCANREPLNUM, ncanreplnum);
	}

	public void setNchangestdrate(UFDouble nchangestdrate) {
		this.setAttributeValue(PurchaseInBodyVO.NCHANGESTDRATE, nchangestdrate);
	}

	public void setNglobalexchgrate(UFDouble nglobalexchgrate) {
		this.setAttributeValue(PurchaseInBodyVO.NGLOBALEXCHGRATE,
				nglobalexchgrate);
	}

	public void setNglobalmny(UFDouble nglobalmny) {
		this.setAttributeValue(PurchaseInBodyVO.NGLOBALMNY, nglobalmny);
	}

	public void setNglobaltaxmny(UFDouble nglobaltaxmny) {
		this.setAttributeValue(PurchaseInBodyVO.NGLOBALTAXMNY, nglobaltaxmny);
	}

	public void setNgroupexchgrate(UFDouble ngroupexchgrate) {
		this.setAttributeValue(PurchaseInBodyVO.NGROUPEXCHGRATE,
				ngroupexchgrate);
	}

	public void setNgroupmny(UFDouble ngroupmny) {
		this.setAttributeValue(PurchaseInBodyVO.NGROUPMNY, ngroupmny);
	}

	public void setNgrouptaxmny(UFDouble ngrouptaxmny) {
		this.setAttributeValue(PurchaseInBodyVO.NGROUPTAXMNY, ngrouptaxmny);
	}

	public void setNitemdiscountrate(UFDouble nitemdiscountrate) {
		this.setAttributeValue(PurchaseInBodyVO.NITEMDISCOUNTRATE,
				nitemdiscountrate);
	}

	public void setNkdnum(UFDouble nkdnum) {
		this.setAttributeValue(PurchaseInBodyVO.NKDNUM, nkdnum);
	}

	public void setNmny(UFDouble nmny) {
		this.setAttributeValue(PurchaseInBodyVO.NMNY, nmny);
	}

	public void setNnetprice(UFDouble nnetprice) {
		this.setAttributeValue(PurchaseInBodyVO.NNETPRICE, nnetprice);
	}

	public void setNorigmny(UFDouble norigmny) {
		this.setAttributeValue(PurchaseInBodyVO.NORIGMNY, norigmny);
	}

	public void setNorignetprice(UFDouble norignetprice) {
		this.setAttributeValue(PurchaseInBodyVO.NORIGNETPRICE, norignetprice);
	}

	public void setNorigprice(UFDouble norigprice) {
		this.setAttributeValue(PurchaseInBodyVO.NORIGPRICE, norigprice);
	}

	//
	// public void setNorigtax(UFDouble norigtax) {
	// this.setAttributeValue(PurchaseInBodyVO.NORIGTAX, norigtax);
	// }

	public void setNorigtaxmny(UFDouble norigtaxmny) {
		this.setAttributeValue(PurchaseInBodyVO.NORIGTAXMNY, norigtaxmny);
	}

	public void setNorigtaxnetprice(UFDouble norigtaxnetprice) {
		this.setAttributeValue(PurchaseInBodyVO.NORIGTAXNETPRICE,
				norigtaxnetprice);
	}

	public void setNorigtaxprice(UFDouble norigtaxprice) {
		this.setAttributeValue(PurchaseInBodyVO.NORIGTAXPRICE, norigtaxprice);
	}

	public void setNprice(UFDouble nprice) {
		this.setAttributeValue(PurchaseInBodyVO.NPRICE, nprice);
	}

	public void setNqtnetprice(UFDouble nqtnetprice) {
		this.setAttributeValue(PurchaseInBodyVO.NQTNETPRICE, nqtnetprice);
	}

	public void setNqtorignetprice(UFDouble nqtorignetprice) {
		this.setAttributeValue(PurchaseInBodyVO.NQTORIGNETPRICE,
				nqtorignetprice);
	}

	public void setNqtorigprice(UFDouble nqtorigprice) {
		this.setAttributeValue(PurchaseInBodyVO.NQTORIGPRICE, nqtorigprice);
	}

	public void setNqtorigtaxnetprice(UFDouble nqtorigtaxnetprice) {
		this.setAttributeValue(PurchaseInBodyVO.NQTORIGTAXNETPRICE,
				nqtorigtaxnetprice);
	}

	public void setNqtorigtaxprice(UFDouble nqtorigtaxprice) {
		this.setAttributeValue(PurchaseInBodyVO.NQTORIGTAXPRICE,
				nqtorigtaxprice);
	}

	public void setNqtprice(UFDouble nqtprice) {
		this.setAttributeValue(PurchaseInBodyVO.NQTPRICE, nqtprice);
	}

	public void setNqttaxnetprice(UFDouble nqttaxnetprice) {
		this.setAttributeValue(PurchaseInBodyVO.NQTTAXNETPRICE, nqttaxnetprice);
	}

	public void setNqttaxprice(UFDouble nqttaxprice) {
		this.setAttributeValue(PurchaseInBodyVO.NQTTAXPRICE, nqttaxprice);
	}

	public void setNqtunitnum(UFDouble nqtunitnum) {
		this.setAttributeValue(PurchaseInBodyVO.NQTUNITNUM, nqtunitnum);
	}

	public void setNreplenishedastnum(UFDouble nreplenishedastnum) {
		this.setAttributeValue(PurchaseInBodyVO.NREPLENISHEDASTNUM,
				nreplenishedastnum);
	}

	public void setNreplenishednum(UFDouble nreplenishednum) {
		this.setAttributeValue(PurchaseInBodyVO.NREPLENISHEDNUM,
				nreplenishednum);
	}

	public void setNsignnum(UFDouble nsignnum) {
		this.setAttributeValue(PurchaseInBodyVO.NSIGNNUM, nsignnum);
	}

	public void setNtax(UFDouble ntax) {
		this.setAttributeValue(PurchaseInBodyVO.NTAX, ntax);
	}

	public void setNtaxmny(UFDouble ntaxmny) {
		this.setAttributeValue(PurchaseInBodyVO.NTAXMNY, ntaxmny);
	}

	public void setNtaxnetprice(UFDouble ntaxnetprice) {
		this.setAttributeValue(PurchaseInBodyVO.NTAXNETPRICE, ntaxnetprice);
	}

	public void setNtaxprice(UFDouble ntaxprice) {
		this.setAttributeValue(PurchaseInBodyVO.NTAXPRICE, ntaxprice);
	}

	public void setNtaxrate(UFDouble ntaxrate) {
		this.setAttributeValue(PurchaseInBodyVO.NTAXRATE, ntaxrate);
	}

	public void setPk_creqwareid(String pk_creqwareid) {
		this.setAttributeValue(PurchaseInBodyVO.PK_CREQWAREID, pk_creqwareid);
	}

	public void setVqtunitrate(String vqtunitrate) {
		this.setAttributeValue(PurchaseInBodyVO.VQTUNITRATE, vqtunitrate);
	}

	public void setVreturnreason(String vreturnreason) {
		this.setAttributeValue(PurchaseInBodyVO.VRETURNREASON, vreturnreason);
	}

	public void setBfixedasset(UFBoolean bfixedasset) {
		this.setAttributeValue(ICPubMetaNameConst.BFIXEDASSET, bfixedasset);
	}

	public UFBoolean getBfixedasset() {
		return (UFBoolean) this
				.getAttributeValue(ICPubMetaNameConst.BFIXEDASSET);
	}

	public UFDouble getNsettleprice() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NSETTLEPRICE);
	}

	public void setNsettleprice(UFDouble nsettleprice) {
		this.setAttributeValue(PurchaseInBodyVO.NSETTLEPRICE, nsettleprice);
	}

	public UFDouble getNsettlepricenotax() {
		return (UFDouble) this
				.getAttributeValue(PurchaseInBodyVO.NSETTLEPRICENOTAX);
	}

	public void setNsettlepricenotax(UFDouble nsettlepricenotax) {
		this.setAttributeValue(PurchaseInBodyVO.NSETTLEPRICENOTAX,
				nsettlepricenotax);
	}

	public UFDouble getNinvoicenum() {
		return (UFDouble) this.getAttributeValue(PurchaseInBodyVO.NINVOICENUM);
	}

	public void setNinvoicenum(UFDouble ninvoicenum) {
		this.setAttributeValue(PurchaseInBodyVO.NINVOICENUM, ninvoicenum);
	}

	public void setCgroupcurrencyid(String cgroupcurrencyid) {
		this.setAttributeValue(PurchaseInBodyVO.CGROUPCURRENCYID,
				cgroupcurrencyid);
	}

	public String getCgroupcurrencyid() {
		return (String) this
				.getAttributeValue(PurchaseInBodyVO.CGROUPCURRENCYID);
	}

	public void setCglobalcurrencyid(String cgroupcurrencyid) {
		this.setAttributeValue(PurchaseInBodyVO.CGLOBALCURRENCYID,
				cgroupcurrencyid);
	}

	public String getCglobalcurrencyid() {
		return (String) this
				.getAttributeValue(PurchaseInBodyVO.CGLOBALCURRENCYID);
	}

	public String getCsettlecurrencyid() {
		return (String) this
				.getAttributeValue(PurchaseInBodyVO.CSETTLECURRENCYID);
	}

	public void setCsettlecurrencyid(String csettlecurrencyid) {
		this.setAttributeValue(PurchaseInBodyVO.CSETTLECURRENCYID,
				csettlecurrencyid);
	}

	public String getCtaxcodeid() {
		return (String) this.getAttributeValue(ICPubMetaNameConst.CTAXCODEID);
	}

	public void setCtaxcodeid(String ctaxcodeid) {
		this.setAttributeValue(ICPubMetaNameConst.CTAXCODEID, ctaxcodeid);
	}

	public UFDouble getnnosubtaxrate() {
		return (UFDouble) this
				.getAttributeValue(ICPubMetaNameConst.NNOSUBTAXRATE);
	}

	public void setNnosubtaxrate(UFDouble taxrate) {
		this.setAttributeValue(ICPubMetaNameConst.NNOSUBTAXRATE, taxrate);
	}

	public UFDouble getNnosubtax() {
		return (UFDouble) this.getAttributeValue(ICPubMetaNameConst.NNOSUBTAX);
	}

	public void setNnosubtax(UFDouble tax) {
		this.setAttributeValue(ICPubMetaNameConst.NNOSUBTAX, tax);
	}

	public String getCorigcountryid() {
		return (String) this
				.getAttributeValue(ICPubMetaNameConst.CORIGCOUNTRYID);
	}

	public void setCorigcountryid(String countryid) {
		this.setAttributeValue(ICPubMetaNameConst.CORIGCOUNTRYID, countryid);
	}

	public String getCorigareaid() {
		return (String) this.getAttributeValue(ICPubMetaNameConst.CORIGAREAID);
	}

	public void setCorigareaid(String areaid) {
		this.setAttributeValue(ICPubMetaNameConst.CORIGAREAID, areaid);
	}

	public String getCdesticountryid() {
		return (String) this
				.getAttributeValue(ICPubMetaNameConst.CDESTICOUNTRYID);
	}

	public void setCdesticountryid(String countryid) {
		this.setAttributeValue(ICPubMetaNameConst.CDESTICOUNTRYID, countryid);
	}

	public String getCdestiareaid() {
		return (String) this.getAttributeValue(ICPubMetaNameConst.CDESTIAREAID);
	}

	public void setCdestiareaid(String areaid) {
		this.setAttributeValue(ICPubMetaNameConst.CDESTIAREAID, areaid);
	}

	public UFBoolean getBopptaxflag() {
		return (UFBoolean) this
				.getAttributeValue(ICPubMetaNameConst.BOPPTAXFLAG);
	}

	public void setBopptaxflag(UFBoolean value) {
		this.setAttributeValue(ICPubMetaNameConst.BOPPTAXFLAG, value);
	}

	public void setFtaxtypeflag(Integer flag) {
		this.setAttributeValue(ICPubMetaNameConst.FTAXTYPEFLAG, flag);
	}

	public Integer getFtaxtypeflag() {
		return (Integer) this
				.getAttributeValue(ICPubMetaNameConst.FTAXTYPEFLAG);
	}

	public void setNcaltaxmny(UFDouble mny) {
		this.setAttributeValue(ICPubMetaNameConst.NCALTAXMNY, mny);
	}

	public UFDouble getNcaltaxmny() {
		return (UFDouble) this.getAttributeValue(ICPubMetaNameConst.NCALTAXMNY);
	}

	public void setNcalcostmny(UFDouble mny) {
		this.setAttributeValue(ICPubMetaNameConst.NCALCOSTMNY, mny);
	}

	public UFDouble getNcalcostmny() {
		return (UFDouble) this
				.getAttributeValue(ICPubMetaNameConst.NCALCOSTMNY);
	}

	public void setCfanaceorgoid(String cfanaceorgoid) {
		this.setAttributeValue(PurchaseInBodyVO.CFANACEORGOID, cfanaceorgoid);
	}

	public String getCfanaceorgoid() {
		return (String) this.getAttributeValue(PurchaseInBodyVO.CFANACEORGOID);
	}

	public void setCioliabilityoid(String cioliabilityoid) {
		this.setAttributeValue(PurchaseInBodyVO.CIOLIABILITYOID,
				cioliabilityoid);
	}

	public String getCioliabilityoid() {
		return (String) this
				.getAttributeValue(PurchaseInBodyVO.CIOLIABILITYOID);
	}

	public void setCioliabilityvid(String cioliabilityvid) {
		this.setAttributeValue(PurchaseInBodyVO.CIOLIABILITYVID,
				cioliabilityvid);
	}

	public String getCioliabilityvid() {
		return (String) this
				.getAttributeValue(PurchaseInBodyVO.CIOLIABILITYVID);
	}

	/**
	 * 对账
	 */
	public void setBcompare(UFBoolean bcompare) {
		this.setAttributeValue(PurchaseInBodyVO.BCOMPARE, bcompare);
	}
	/**
	 * 对账
	 */
	public UFBoolean getBcompare() {
		return (UFBoolean) this.getAttributeValue(PurchaseInBodyVO.BCOMPARE);
	}
}

//zfE/1cqIDlGLdS4O9cAVVd7wenIICv9j/hT5/gIc1iTVX70aNxexrwxRLeWrB51d